%if 0%{?fedora} >= 22
%global luaver 5.3
%else
%if 0%{?fedora} >= 20 || 0%{?rhel} > 7
%global luaver 5.2
%else
%global luaver 5.1
%endif
%endif
%global lualibdir %{_libdir}/lua/%{luaver}

Summary:	Cyrus SASL library for Lua
Name:		lua-cyrussasl
Version:	1.1.0
Release:	6%{?dist}
License:	BSD
Group:		Development/Libraries
URL:		https://github.com/JorjBauer/lua-cyrussasl
Source:		https://github.com/JorjBauer/%{name}/archive/v%{version}.tar.gz
%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
Requires:	lua(abi) = %{luaver}
%else
Requires:	lua >= %{luaver}
%endif
BuildRequires:	gcc, lua-devel, cyrus-sasl-devel

%description
Lua bindings for the Cyrus SASL APIs.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -fPIC" LDFLAGS="-shared -fPIC -lsasl2 %{?__global_ldflags}" 

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 cyrussasl.so $RPM_BUILD_ROOT%{lualibdir}/cyrussasl.so

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README
%{lualibdir}/cyrussasl.so

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 02 2017 Robert Scheck <robert@fedoraproject.org> 1.1.0-1
- Upgrade to 1.1.0 (#1403598)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 15 2015 Tom Callaway <spot@fedoraproject.org> - 1.0.0-3
- lua 5.3
- add missing typerror

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed May 28 2014 Robert Scheck <robert@fedoraproject.org> 1.0.0-1
- Upgrade to 1.0.0
- Initial spec file for Fedora and Red Hat Enterprise Linux
